Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.qd3d.camera
Class CameraViewPort

    java.lang.Object
      |
      +--quicktime.util.QTByteObject
            |
            +--quicktime.qd3d.camera.CameraViewPort

All Implemented Interfaces:
  java.lang.Cloneable, quicktime.jdirect.PrimitivesLib, java.io.Serializable, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class CameraViewPort
extends QTByteObject
implements java.lang.Cloneable

CameraViewPort contains information for the camera's viewport. Viewport specification. Origin is (-1, 1), and corresponds to the upper left-hand corner; width and height maximum is (2.0, 2.0), corresponding to the lower left-hand corner of the window. The Viewport specifies a part of the viewPlane that gets displayed on the window that is to be drawn. Normally, it is set with an origin of (-1.0, 1.0), and a width and height of both 2.0, specifying that the entire window is to be drawn. If, for example, an exposure event of the window exposed the right half of the window, you would set the origin to (0, 1), and the width and height to (1.0) and (2.0), respectively. Refer to TQ3CameraPlacement in QuickDraw3d

See Also:
  Serialized Form

Field Summary
`static int` | `kNativeSize` This is the size (the number of bytes) that are required for this class

Fields inherited from interface quicktime.jdirect.PrimitivesLib
`JDirect_MacOSX, libraryInstance`

Constructor Summary
`CameraViewPort()` Creates a CameraViewPort object containing no data.
`CameraViewPort(QDPoint origin, float width, float height)` Creates a CameraViewPort object containing given data.

Method Summary
`java.lang.Object` | `clone()` Returns a copy of this class.
`static EndianDescriptor` | `getEndianDescriptor()` Returns the EndianDescriptor for this class.
`float` | `getHeight()` returns the camera viewport's height
`QDPoint` | `getOrigin()` returns the origin of camera viewport
`float` | `getWidth()` returns the camera viewport's width
`void` | `setHeight(float height)` sets the camera viewport's height
`void` | `setOrigin(QDPoint origin)` sets the camera viewport's origin
`void` | `setWidth(float width)` sets the camera viewport's width
`java.lang.String` | `toString()` Returns a string representation of the class

Methods inherited from class quicktime.util.QTByteObject
`equals, fromArray, getBytes, getSize`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kNativeSize

    public static final int kNativeSize

  This is the size (the number of bytes) that are required for this class

Constructor Detail

### CameraViewPort

    public CameraViewPort()

  Creates a CameraViewPort object containing no data.

### CameraViewPort

    public CameraViewPort(QDPoint origin,
                          float width,
                          float height)

  Creates a CameraViewPort object containing given data.
  Parameters:
    `origin` - The origin.
    `width` - The width.
    `height` - The height.

Method Detail

### getEndianDescriptor

    public static final EndianDescriptor getEndianDescriptor()

  Returns the EndianDescriptor for this class.
  Returns:
    an EndianDescriptor

### getOrigin

    public QDPoint getOrigin()

  returns the origin of camera viewport

### getWidth

    public float getWidth()

  returns the camera viewport's width

### getHeight

    public float getHeight()

  returns the camera viewport's height

### setOrigin

    public void setOrigin(QDPoint origin)

  sets the camera viewport's origin

### setWidth

    public void setWidth(float width)

  sets the camera viewport's width

### setHeight

    public void setHeight(float height)

  sets the camera viewport's height

### clone

    public java.lang.Object clone()

  Returns a copy of this class.

### toString

    public java.lang.String toString()

  Returns a string representation of the class
  Overrides:
    `toString` in class `QTByteObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD